PUT /rest/employees/{employee}/schedule_models_history
curl --request PUT \
--url https://{tenant}.stamp.eu/rest/employees/{employee}/schedule_models_history \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assignments": [
{
"schedule_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"valid_after": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://{tenant}.stamp.eu/rest/employees/{employee}/schedule_models_history"
payload = { "assignments": [
{
"schedule_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"valid_after": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assignments: [
{
schedule_model_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
valid_after: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://{tenant}.stamp.eu/rest/employees/{employee}/schedule_models_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"schedule_model_id": "<string>",
"valid_after": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"schedule_model": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"accommodation_time": "<string>",
"night_begin": "<string>",
"work_weekdays": "<string>",
"work_weekdays_label": "<string>",
"weekly_target_ms": "<string>",
"weekly_target_hours": 123,
"created_at": "<string>",
"updated_at": "<string>",
"entries": [
{
"id": "<string>",
"weekday": "<string>",
"periods": "<string>",
"pauses": "<string>",
"core_times": "<string>",
"pause_thresholds": "<string>"
}
]
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Schichtmodelle
Arbeitszeitmodell-Zuordnungen aktualisieren
Replace all assignments for this employee.
PUT
/
employees
/
{employee}
/
schedule_models_history
PUT /rest/employees/{employee}/schedule_models_history
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Path Parameters
The employee ID
Body
application/json
Show child attributes
Show child attributes
Response
Array of ScheduleModelsHistoryResource
Show child attributes
Show child attributes
⌘I